Redmine - Feature #2677

Show "unread" items in the issue list
2009-02-05 10:12 - Vasa Maximov

Status: New Start date: 2009-02-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

Right now, in the issues list, it is not clear which of the issues have been updated since your last logon.

It would be very useful to clearly show the special state of an issue, which have been updated by other users and wasn't yet viewed
by the current user.

Related issues:

Has duplicate Redmine - Feature #3562: Show new comments and changes by marki... Closed 2009-06-30
Has duplicate Redmine - Feature #3509: Show updated & new status on issues an... Closed 2009-06-18
Has duplicate Redmine - Feature #4466: Read/unread status for issues and foru... Closed 2009-12-21
History

#1 - 2009-07-07 14:05 - Olivier Jacquet
Is related to #3562 and #3509.

#2 - 2009-12-22 11:00 - Olivier Jacquet

- File redmine.png added

- File redmine2.png added

| repeat the information from #3509 because | think it adds some valuable example:

It would be nice if Redmine kept track of the timestamp when you last looked at a thread or issue. Then, when showing lists of issues or threads (eg.
the Issues and Forums) pages it could annotate the title with an "updated” or "new" tag to show which issues/threads have been updated or created
since you last looked at them.

An example of this feature is provided by Drupal. If you have an account and go to http://drupal.org/project/issues/views you can see which items are
new and updated (to see the updated tag you need to look at an issue and wait for someone to update it). Drupal also shows the number of new
posts and when you click on that link it opens the issue at the first new post. It also tags the new posts with a new keyword to indicate which ones are
new.

I've attached screenshots to illustrate the two concepts.

#3 - 2009-12-22 21:50 - Jean-Philippe Lang

- File unread_issues.png added

- Target version set to 1.0.0 (RC)

Olivier, thanks for the clarification.
I have a working patch for this feature. It's a bit late to get it into 0.9 but it will be committed in trunk soon.

Here you can see 3 new issues and 1 issue that was updated:
https://www.redmine.org/issues/3562
https://www.redmine.org/issues/3509
https://www.redmine.org/issues/3509
http://drupal.org/project/issues/views

& & Tracker Status Subject

O 4247 Defect Mew s There are many variations of passages of Lorem Ipsum available
O 4245 Defect Mew Contrary to popular belief, Lorem Ipsum is not simply random text
O 4245 Defect Mew s Lorem Ipsum is simply dummy text

O 4241 Defect NeEw » Indicates that the objet was just read by +user+

O 4334 Defect New "Watch'ing an issue doesn't update watchers list

O 4332 Defect ey demo site doesn't waork

O] 4230  Feature e Implement OpenSearch

O 4zz9 Feature e Forum : subsections

O 4zzg Feature e w Title on link menu

O aaz7 Feature Mew Microblogging/Shouthosx

Any feedback on the look and feel is welcome.

#4 - 2009-12-22 23:39 - Felix Schifer

Looks great, I'll give it a go when it hits trunk :-)
#5 - 2009-12-23 07:34 - Eric Davis
Jean-Philippe Lang wrote:

| have a working patch for this feature. It's a bit late to get it into 0.9 but it will be committed in trunk soon.

Could you post your patch here for review? | have a major patch I'm finishing up and want to see if they will conflict. Thanks.

#6 - 2009-12-23 08:11 - Jean-Philippe Lang

The patch is not ready for review, but it should not conflict with anything.
What's your major patch about?

#7 - 2009-12-23 10:18 - Olivier Jacquet

Personally I'd prefer if the bullets were at the end of the title in stead of before. As the bullets are now they break the flow of the page. The fact that it
is bold already shows that it's either new or updated, if you want to know which you can look at the bullet.

Also, the choice of small coloured bullets can make it hard for people that have trouble seeing colours to see if it's new or updated. Could you try
putting new or updated in superscript at the end of the title to see the difference?

#8 - 2009-12-23 10:25 - Felix Schéfer
Olivier Jacquet wrote:
Personally I'd prefer if the bullets were at the end of the title in stead of before. As the bullets are now they break the flow of the page. The fact

that it is bold already shows that it's either new or updated, if you want to know which you can look at the bullet.

| agree with the breaking the flow part, but not with the consequence... What about indenting the subject line for not-updated issues so that they are
at the same level than the others?

Also, the choice of small coloured bullets can make it hard for people that have trouble seeing colours to see if it's new or updated. Could you try
putting new or updated in superscript at the end of the title to see the difference?

I'll argue about the consequence here too :-) | think it should stay a visual rather than a textual cue... What about different colors and shapes? Like a
green square for new issues, and a yellow bullet for updated, and so on?

#9 - 2009-12-23 13:50 - Jean-Philippe Lang
- File unread_issues2.png added
Felix Schéafer wrote:
Olivier Jacquet wrote:
Personally I'd prefer if the bullets were at the end of the title in stead of before. As the bullets are now they break the flow of the page. The

fact that it is bold already shows that it's either new or updated, if you want to know which you can look at the bullet.

| agree with the breaking the flow part, but not with the consequence... What about indenting the subject line for not-updated issues so that they
are at the same level than the others?
Agreed.

Also, the choice of small coloured bullets can make it hard for people that have trouble seeing colours to see if it's new or updated. Could

you try putting new or updated in superscript at the end of the title to see the difference?

I'll argue about the consequence here too :-) | think it should stay a visual rather than a textual cue... What about different colors and shapes?

Like a green square for new issues, and a yellow bullet for updated, and so on?

| definitely prefer the visual hint too. It's pretty commom in email clients for example.
Maybe we can have a green bullet for new issues and nothing for updated issues (just bold subject):

& & Tracker Status Subject

O 4347 Defect e » There are many variations of passages of Lorem Ipsum availahle
1 4345 Defect Mew Contrary to popular belief, Lorem Ipsum is not simply random text
1 4345 Defect Mew s Lorem Ipsum is simply dummy text

O 4241 Defect Mew » Indicates that the objet was just read by +user+

O aa34 Defect Mew "W atch"ing an issue doesn't update watchers list

O 4z32 Defect Mew demo site doesn't work

O 4320 Feature New Implement OpenSearch

O 4322 Feature Mew Forum : subsections

O a32s Feature e Title on link menu

00 4227 Feature e Microblogging,/Shouthox

#10 - 2009-12-23 14:17 - Felix Schéfer

Jean-Philippe Lang wrote:

Maybe we can have a green bullet for new issues and nothing for updated issues (just bold subject):

| think I'd prefer having the boldness for making the changed/new issues stand out, and different bullet colors/shapes to differentiate changed and
new, but | think that's more a matter of taste, and | suppose is configurable through a custom css. Other than that, Ul looks good to me.

#11 - 2010-01-12 09:51 - Nikolay Kotlyarov

nice feature, looks good for me:)

#12 - 2010-05-17 11:21 - Daniel N

Looks great! +1

#13 - 2010-06-15 00:41 - Eric Davis
- Target version deleted (1.0.0 (RC))

Removing from 1.0. This hasn't been completed and 1.0 is feature frozen.

#14 - 2011-06-09 16:19 - Peter Olson
So what happened with this. Did it just die? Can you post your patch for this?

#15 - 2011-06-10 06:55 - Dmitry Salashnik

+1

#16 - 2011-07-09 11:49 - Alexander Reznik

+1 | think it will be very useful feature for all Redmine users

#17 - 2011-11-01 18:40 - Brad Jones
Bump

#18 - 2012-02-28 16:01 - pasquale [:dedalus]

Jean-Philippe Lang wrote:

| definitely prefer the visual hint too. It's pretty commom in email clients for example.

Maybe we can have a green bullet for new issues and nothing for updated issues (just bold subject):
What happens here? No news on your patch?
Anyway +1 for me

#19 - 2012-05-21 06:23 - Gibbet G

+1

#20 - 2012-05-24 18:18 - Nick Caballero

+1

#21 - 2012-06-28 15:10 - Egidijus Zideckas

+1

#22 - 2012-08-16 14:49 - Sergey Gnuskov

+1
#23 - 2012-08-17 08:29 - Egidijus Zideckas
Hi everyone,

I've found redmine plugin for that : https:/github.com/egisz/redmine_already_read
| added stylesheet to original plugin, and already using it ~ 2 months in production environment.

Hope you'll like it :)
#24 - 2012-08-17 11:59 - pasquale [:dedalus]
Egidijus Zideckas wrote:
| added stylesheet to original plugin, and already using it ~ 2 months in production environment.

Thanks...
it works both releases 1.4.x and 2.x?

#25 - 2012-08-24 12:06 - Egidijus Zideckas
Hi, | only tested on 2.x.
pasquale [:dedalus] wrote:
Egidijus Zideckas wrote:
| added stylesheet to original plugin, and already using it ~ 2 months in production environment.

Thanks...
it works both releases 1.4.x and 2.x?

#26 - 2013-02-11 14:40 - Wim DePreter

+1

#27 - 2013-11-25 11:54 - Michael Heinze

I think we have to clarify what the request of this Feature is in Detail.

If the request is that unread items in the issues list(s) shall be highlighted, then:

the description of this issue fully describes the required functionality

the Images attached by Jean-Philippe Lang Show the requested functionality
the plugin mentioned by Egidijus Zideckas fulfills this request

Whereas, if the request is that unread items in the issues list(s) and unread Forum threads/entries shall be highlighted, then:

e the description of this issue does not fully describe the required functionality
e this IS a duplicate of #3509 and #4466.

2025-07-01

this is NOT a duplicate of #3509 or #4466 because those issues also request that Forum threads/entries shall be highlighted.
e the Images attached by Jean-Philippe Lang do not fully the requested functionality
e the plugin mentioned by Egidijus Zideckas does not fully fulfill this request

In our Company we were looking for a plugin that Highlights unread Forum entries and found out that unfortunately the plugin does not fulfill this.

#28 - 2014-03-24 04:17 - Anonymous

+1

#29 - 2014-03-25 22:40 - Anonymous
+2

#30 - 2015-02-02 17:39 - Jan S

+1 this should really be core functionality as otherwise the forum/board is not that useful.

#31 - 2015-03-10 08:40 - Anonymous

+1

| tried to install the mentioned plugin redmine_already_read, but it failed to get installed. What is the status of this function. | would really like to see it
implemented!

Thanks for the good work.

#32 - 2015-04-30 08:39 - Konstantin Tkachenko
+1
Alexander Strunck wrote:
| tried to install the mentioned plugin redmine_already_read, but it failed to get installed. What is the status of this function. | would really like to

see it implemented!

We've taken the plugin described here. There are some repositories with this plugin on github.com by the way (i.e.
https:/github.com/tdvsdv/unread_issues).

| had to modify it to meet our needs, but haven't yet published it to github.
The versions on github seem to support even redmine 3.x.

P.S.: the mentioned plugin only support unread issues, not unread forum threads.

#33 - 2015-06-22 11:48 - Anonymous

I installed it in Bitnami Redmine 3.0.2. and it works fine.

The last half hour | tested the plugin, the issues are marked with a green dot and the subject is bold. | like it so far. In the text above also a
yellow/orange dot is mentioned for updates. | could not figure out when this is used.

E.g. | use user a to edit an existing issue. User B sees than the issue with a green dot as new?

#34 - 2017-09-19 14:26 - Mutsu Yakumo
Any news here?

at the moment no plugin works without any errors...
and | think this is an so important function.

#35 - 2018-09-25 12:17 - Alexander Ryabinovskiy
Nice reature!

Why it's not implemented in redmine core?

#36 - 2021-04-08 10:26 - Alexandr Chernyaev

+1
